## python-jenkinsapi 0.3.11

=== Makefile ===
.PHONY: test lint tox coverage dist

test:
	py.test -sv jenkinsapi_tests

lint:
	pycodestyle
	pylint jenkinsapi/*.py

tox:
	tox

dist:
	python setup.py sdist bdist_wheel

coverage:
	py.test -sv --cov=jenkinsapi --cov-report=term-missing --cov-report=xml jenkinsapi_tests

=== requirements.txt ===
pytz>=2014.4
requests>=2.3.0
six>=1.10.0

## python-jenkinsapi 0.1.11

=== debian/changelog ===
python-jenkinsapi (0.1.11-5ubuntu1) raring-proposed; urgency=low

  * debian/pydist-overrides: Add pydist-overrides to override
    beautifulsoup4 -> python-bs4 (LP: #1153412).
  * Update maintainer.

 -- Adam Gandelman <adamg@ubuntu.com>  Sun, 10 Mar 2013 18:36:37 -0700

python-jenkinsapi (0.1.11-5) unstable; urgency=low

  * Correct Build-Depends for dh addon.
  * Correct Depends for pkg_resources module.

 -- Al Stone <ahs3@debian.org>  Sun, 26 Aug 2012 18:13:53 -0600

python-jenkinsapi (0.1.11-4) unstable; urgency=low

  * Closes: #684304 -- managed to depend on python 2.6 and 2.7 at
    the same time with overzealous use of ${python:Versions} in the
    control file.

 -- Al Stone <ahs3@debian.org>  Wed, 08 Aug 2012 10:40:55 -0600

python-jenkinsapi (0.1.11-3) unstable; urgency=low

  * Closes: #684145 -- dumb mistake, forgot a build-dep 
  * Change package to 'all', not 'any' architecture.

 -- Al Stone <ahs3@debian.org>  Tue, 07 Aug 2012 11:52:19 -0600

python-jenkinsapi (0.1.11-2) unstable; urgency=low

  * Replace usage of python-support with dh_python2
  * Closes: #683458 -- now that dh_python2 is being used, package is
    being built correctly and is no longer empty on rebuild
  * Closes: #683460 -- corrected package dependencies

 -- Al Stone <ahs3@debian.org>  Mon, 06 Aug 2012 20:30:56 -0600

python-jenkinsapi (0.1.11-1) unstable; urgency=low

  * Initial release (Closes: #682114)

 -- Al Stone <ahs3@debian.org>  Tue, 24 Jul 2012 16:40:44 -0600

=== debian/control ===
Source: python-jenkinsapi
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Al Stone <ahs3@debian.org>
Build-Depends: debhelper (>= 8.0.0), python-all, python-lxml, python-setuptools
Standards-Version: 3.9.3
Homepage: http://pypi.python.org/pypi/jenkinsapi

Package: python-jenkinsapi
Architecture: all
Depends: python-lxml, python-bs4, python-pkg-resources,
 ${python:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: bindings for Python usage of the Jenkins remote API
 Jenkins is the market leading continuous integration system, originally
 created by Kohsuke Kawaguchi. This API makes Jenkins even easier to use
 by providing an easy to use conventional Python interface.
 .
 Jenkins (and its predecessor Hudson) are useful projects for automating
 common development tasks (e.g., unit-testing, production batches) - but
 they are somewhat Java-centric. Thankfully the designers have provided
 an excellent and complete REST interface. This library wraps up that
 interface as more conventional Python objects in order to make most
 Jenkins-oriented tasks simpler.

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

http://pypi.python.org/pypi/jenkinsapi jenkinsapi-(.*)\.tar\.gz

## python-jenkinsapi 0.2.11

=== debian/changelog ===
python-jenkinsapi (0.2.11-1) unstable; urgency=low

  * Update to latest upstream. 
  * Update watch file
  * Closes: #712130 -- updated to newer upstream

 -- Al Stone <ahs3@debian.org>  Mon, 22 Jul 2013 20:55:13 -0600

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: python-jenkinsapi
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Al Stone <ahs3@debian.org>
+Maintainer: Al Stone <ahs3@debian.org>
 Build-Depends: debhelper (>= 8.0.0), python-all, python-lxml, python-setuptools
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://pypi.python.org/pypi/jenkinsapi
 
 Package: python-jenkinsapi

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
http://pypi.python.org/packages/source/j/jenkinsapi ./jenkinsapi-(\d.*)\.(?:tgz|tbz2|tar\.(?:gz|bz2|xz)).*

## python-jenkinsapi 0.2.16

=== debian/changelog ===
python-jenkinsapi (0.2.16-2) unstable; urgency=medium

  * Closes: #734433 -- "Python-Versions" not "Python-Verions".

 -- Al Stone <ahs3@debian.org>  Tue, 07 Jan 2014 10:54:52 -0700

python-jenkinsapi (0.2.16-1) unstable; urgency=medium

  * Update to latest upstream.
  * Closes: #725589 -- FTBS due to unexpected upstream changes

 -- Al Stone <ahs3@debian.org>  Mon, 06 Jan 2014 18:12:26 -0700

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: python
 Priority: optional
 Maintainer: Al Stone <ahs3@debian.org>
-Build-Depends: debhelper (>= 8.0.0), python-all, python-lxml, python-setuptools
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 8.0.0), python-all-dev, python-lxml, python-setuptools
+XS-Python-Version: current
+Standards-Version: 3.9.5
 Homepage: http://pypi.python.org/pypi/jenkinsapi
 
 Package: python-jenkinsapi
@@ -11,6 +12,7 @@
 Depends: python-lxml, python-bs4, python-pkg-resources,
  ${python:Depends}, ${misc:Depends}
 Provides: ${python:Provides}
+XB-Python-Versions: ${python:Versions}
 Description: bindings for Python usage of the Jenkins remote API
  Jenkins is the market leading continuous integration system, originally
  created by Kohsuke Kawaguchi. This API makes Jenkins even easier to use

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
http://pypi.python.org/pypi/jenkinsapi \
(?:|.*/)(?:python-jenkinsapi|jenkinsapi)[_\-]v?(\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## python-jenkinsapi 0.2.29

=== debian/changelog ===
python-jenkinsapi (0.2.29-1) unstable; urgency=medium

  * Update to latest upstream.
  * Update watch file.
  * Closes: #754802 -- unusual field Python-Versions; removed, since this
    was a typo, and the original control file field has been deprecated

 -- ahs3 <ahs3@debian.org>  Thu, 19 Nov 2015 20:45:14 -0700

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,7 @@
 Priority: optional
 Maintainer: Al Stone <ahs3@debian.org>
 Build-Depends: debhelper (>= 8.0.0), python-all-dev, python-lxml, python-setuptools
-XS-Python-Version: current
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://pypi.python.org/pypi/jenkinsapi
 
 Package: python-jenkinsapi
@@ -12,7 +11,6 @@
 Depends: python-lxml, python-bs4, python-pkg-resources,
  ${python:Depends}, ${misc:Depends}
 Provides: ${python:Provides}
-XB-Python-Versions: ${python:Versions}
 Description: bindings for Python usage of the Jenkins remote API
  Jenkins is the market leading continuous integration system, originally
  created by Kohsuke Kawaguchi. This API makes Jenkins even easier to use

## python-jenkinsapi 0.2.30

=== debian/changelog ===
python-jenkinsapi (0.2.30-1) unstable; urgency=medium

  * Update to latest upstream. 
  * Update to latest standard version.

 -- Al Stone <ahs3@debian.org>  Sat, 25 Jun 2016 17:47:28 -0600

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Priority: optional
 Maintainer: Al Stone <ahs3@debian.org>
 Build-Depends: debhelper (>= 8.0.0), python-all-dev, python-lxml, python-setuptools
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://pypi.python.org/pypi/jenkinsapi
+Vcs-Git: https://github.com/ahs3/python-jenkinsapi
 
 Package: python-jenkinsapi
 Architecture: all

## python-jenkinsapi 0.3.11

=== debian/changelog ===
python-jenkinsapi (0.3.11-5) unstable; urgency=medium

  * QA upload.
  * Orphan package, see #985165.
  * Apply patch from Ubuntu to fix FTBFS. (Closes: #986511)
    Thanks: Logan Rosen <logan@ubuntu.com>

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 24 Apr 2021 23:29:27 +0000

python-jenkinsapi (0.3.11-4) unstable; urgency=medium

  * Fix FTBS due to pylint/python3 changes (Closes: #971179)
  * Add Build-Depends for pylint3 requirements

 -- Al Stone <ahs3@debian.org>  Tue, 27 Oct 2020 21:19:59 -0600

python-jenkinsapi (0.3.11-3) unstable; urgency=medium

  * Force source only upload

 -- Al Stone <ahs3@debian.org>  Sun, 12 Jul 2020 14:23:20 -0600

python-jenkinsapi (0.3.11-2) unstable; urgency=medium

  * Fix "FTBFS due to missing build deps and pylint command" -- used the
    patch to correct build-deps and pylint usage (Closes: #951681)
  * Fix "missing (unversioned) Breaks+Replaces: python-jenkinsapi" -- just
    needed to add Breaks+Replace to control file since python3-jenkinsapi
    replaces the old package completely (Closes: #952750)
  * Minor lintian fix to remove a .gitignore file from build

 -- Al Stone <ahs3@debian.org>  Sun, 24 May 2020 15:09:34 -0600

python-jenkinsapi (0.3.11-1) unstable; urgency=medium

  * Update to 0.3.11 upstream. 
  * Update Standards version
  * Add in new dependencies
  * Closes: #937850 -- update to python3 packages
  * Closes: #888011 -- produce python3 packages

 -- Al Stone <ahs3@debian.org>  Sun, 16 Feb 2020 16:39:59 -0700

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,20 @@
 Source: python-jenkinsapi
 Section: python
 Priority: optional
-Maintainer: Al Stone <ahs3@debian.org>
-Build-Depends: debhelper (>= 8.0.0), python-all-dev, python-lxml, python-setuptools
-Standards-Version: 3.9.8
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: debhelper (>= 12), python3-all-dev, python3-lxml, 
+ python3-setuptools, python3-pytest, pylint3, dh-python, python3-pbr,
+ python3-pylint-common
+Standards-Version: 4.5.0
 Homepage: http://pypi.python.org/pypi/jenkinsapi
-Vcs-Git: https://github.com/ahs3/python-jenkinsapi
 
-Package: python-jenkinsapi
+Package: python3-jenkinsapi
 Architecture: all
-Depends: python-lxml, python-bs4, python-pkg-resources,
- ${python:Depends}, ${misc:Depends}
-Provides: ${python:Provides}
+Depends: python3-lxml, python3-bs4, python3-pkg-resources,
+ ${python3:Depends}, ${misc:Depends}
+Provides: ${python3:Provides}
+Replaces: python-jenkinsapi
+Breaks: python-jenkinsapi
 Description: bindings for Python usage of the Jenkins remote API
  Jenkins is the market leading continuous integration system, originally
  created by Kohsuke Kawaguchi. This API makes Jenkins even easier to use

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python3

execute_after_dh_install:
	rm $(CURDIR)/debian/python3-jenkinsapi/usr/lib/python3.*/site-packages/jenkinsapi/.gitignore

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/jenkinsapi/jenkinsapi-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-jenkinsapi 0.3.13

=== debian/changelog ===
python-jenkinsapi (0.3.13-1) unstable; urgency=low

  * QA upload.
  * New upstream version 0.3.13
  * Update d/watch to v4
  * Import previous QA uploads into Salsa.
  * define "R³: no"

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 12 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Update standards version to 4.6.2, no more changes needed.
  * Add missing build-dependency on flit.

 -- Alexandre Detiste <tchet@debian.org>  Thu, 30 Nov 2023 01:28:16 +0100

python-jenkinsapi (0.3.11-6) unstable; urgency=medium

  * QA upload.
  * Drop B-D on pylint3. (Closes: #1012326)
  * Build with pybuild.
  * Skip tests.

 -- Bastian Germann <bage@debian.org>  Tue, 29 Aug 2023 18:23:26 +0200

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,25 @@
 Section: python
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 12), python3-all-dev, python3-lxml, 
- python3-setuptools, python3-pytest, pylint3, dh-python, python3-pbr,
- python3-pylint-common
-Standards-Version: 4.5.0
-Homepage: http://pypi.python.org/pypi/jenkinsapi
+Build-Depends:
+    debhelper-compat (= 13),
+    dh-sequence-python3,
+    python3-all-dev,
+    python3-lxml,
+    python3-setuptools,
+    python3-pytest,
+    python3-pbr,
+    python3-tz,
+    python3-mock,
+    flit,
+Standards-Version: 4.6.2
+Homepage: https://pypi.python.org/pypi/jenkinsapi
+Rules-Requires-Root: no
 
 Package: python3-jenkinsapi
 Architecture: all
 Depends: python3-lxml, python3-bs4, python3-pkg-resources,
  ${python3:Depends}, ${misc:Depends}
-Provides: ${python3:Provides}
 Replaces: python-jenkinsapi
 Breaks: python-jenkinsapi
 Description: bindings for Python usage of the Jenkins remote API
@@ -26,4 +34,3 @@
  an excellent and complete REST interface. This library wraps up that
  interface as more conventional Python objects in order to make most
  Jenkins-oriented tasks simpler.
-

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/jenkinsapi/jenkinsapi-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-jenkinsapi 0.3.14

=== debian/changelog ===
python-jenkinsapi (0.3.14-1) unstable; urgency=medium

  * QA upload.
  * Fix d/watch
  * New upstream version 0.3.14
  * Remove dependency on python3-pkg-resources (Closes: #1083654)

 -- Alexandre Detiste <tchet@debian.org>  Fri, 21 Mar 2025 07:57:03 +0100

python-jenkinsapi (0.3.13-4) unstable; urgency=medium

  * QA upload.
  * Remove usage of python3-mock

 -- Alexandre Detiste <tchet@debian.org>  Sun, 15 Dec 2024 13:48:01 +0100

python-jenkinsapi (0.3.13-3) unstable; urgency=medium

  * QA upload.
  * Depends on python3-legacy-cgi (Closes: #1084558)

 -- Alexandre Detiste <tchet@debian.org>  Thu, 14 Nov 2024 22:33:22 +0100

python-jenkinsapi (0.3.13-2) unstable; urgency=medium

  * QA upload.
  * Add missing VCS url's
  * Add d/gbp.conf

 -- Alexandre Detiste <tchet@debian.org>  Thu, 29 Aug 2024 21:23:28 +0200

=== debian/control ===
--- 
+++ 
@@ -3,26 +3,36 @@
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
-    debhelper-compat (= 13),
-    dh-sequence-python3,
-    python3-all-dev,
-    python3-lxml,
-    python3-setuptools,
-    python3-pytest,
-    python3-pbr,
-    python3-tz,
-    python3-mock,
-    flit,
+ debhelper-compat (= 13),
+ dh-sequence-python3,
+ flit,
+ pybuild-plugin-pyproject,
+ python3-all,
+ python3-legacy-cgi,
+ python3-lxml,
+ python3-pbr,
+ python3-pytest,
+ python3-setuptools,
+ python3-tz,
 Standards-Version: 4.6.2
 Homepage: https://pypi.python.org/pypi/jenkinsapi
 Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/debian/python-jenkinsapi
+Vcs-Git: https://salsa.debian.org/debian/python-jenkinsapi.git
+X-Style: black
 
 Package: python3-jenkinsapi
 Architecture: all
-Depends: python3-lxml, python3-bs4, python3-pkg-resources,
- ${python3:Depends}, ${misc:Depends}
-Replaces: python-jenkinsapi
-Breaks: python-jenkinsapi
+Depends:
+ python3-bs4,
+ python3-legacy-cgi,
+ python3-lxml,
+ ${misc:Depends},
+ ${python3:Depends},
+Replaces:
+ python-jenkinsapi,
+Breaks:
+ python-jenkinsapi,
 Description: bindings for Python usage of the Jenkins remote API
  Jenkins is the market leading continuous integration system, originally
  created by Kohsuke Kawaguchi. This API makes Jenkins even easier to use

## python-jenkinsapi 0.3.15

=== debian/changelog ===
python-jenkinsapi (0.3.15-1) unstable; urgency=medium

  * QA upload.
  * New upstream version 0.3.15
  * Drop "Rules-Requires-Root: no": it is the default

 -- Alexandre Detiste <tchet@debian.org>  Tue, 09 Sep 2025 21:35:32 +0200

=== debian/control ===
--- 
+++ 
@@ -14,9 +14,8 @@
  python3-pytest,
  python3-setuptools,
  python3-tz,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://pypi.python.org/pypi/jenkinsapi
-Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/python-jenkinsapi
 Vcs-Git: https://salsa.debian.org/debian/python-jenkinsapi.git
 X-Style: black

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:
	# skip (network connection needed)

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c|dev|\.dev)/~$1/ \
https://pypi.debian.net/jenkinsapi/jenkinsapi-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-jenkinsapi 0.3.17

=== Makefile ===
.PHONY: test lint tox coverage dist clean

clean:
	rm -rf jenkinsapi_tests/systests/localinstance_files

test:
	uv run pytest -sv jenkinsapi_tests

lint:
	uv run pycodestyle
	uv run pylint jenkinsapi/*.py
	uv run flake8 jenkinsapi/ --count --select=E9,F63,F7,F82 --ignore F821,W503,W504 --show-source --statistics
	uv run flake8 jenkinsapi/ --count --exit-zero --max-complexity=10 --max-line-length=79 --statistics

tox:
	tox

dist:
	uv build

coverage:
	uv run pytest -sv --cov=jenkinsapi --cov-report=term-missing --cov-report=xml jenkinsapi_tests

=== doc/Makefile ===
SPHINXBUILD   ?= uv run sphinx-build
SOURCEDIR     = .
BUILDDIR      = html

.PHONY: all clean html

all: clean html

html:
	uv sync --group docs
	@$(SPHINXBUILD) -b html "$(SOURCEDIR)" "$(BUILDDIR)"

clean:
	rm -rf ${BUILDDIR}/*

run:
	uv run python -m http.server --directory "${BUILDDIR}"

=== debian/changelog ===
python-jenkinsapi (0.3.17-2) unstable; urgency=medium

  * QA upload.
  * Replace Flit build with Hatchling build

 -- Alexandre Detiste <tchet@debian.org>  Tue, 18 Nov 2025 22:25:45 +0100

python-jenkinsapi (0.3.17-1) unstable; urgency=medium

  * QA upload.
  * New upstream version 0.3.17
  * Replace transitional python3-tz build-dep with python3-pytz
  * Add debian/salsa-ci.yml

 -- Alexandre Detiste <tchet@debian.org>  Tue, 18 Nov 2025 22:14:50 +0100

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,15 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
- flit,
  pybuild-plugin-pyproject,
  python3-all,
+ python3-hatchling,
  python3-legacy-cgi,
  python3-lxml,
  python3-pbr,
  python3-pytest,
+ python3-pytz,
  python3-setuptools,
- python3-tz,
 Standards-Version: 4.7.2
 Homepage: https://pypi.python.org/pypi/jenkinsapi
 Vcs-Browser: https://salsa.debian.org/debian/python-jenkinsapi
